#ifndef OPS_H_
#define OPS_H_

const char *abus_ops[] = {
	"nop",
	"and",
	"or",
	"xor",
	"add",
	"sub",
	"ad2",
	"???",
	"sr",
	"rr",
	"sl",
	"rl",
	"???",
	"???",
	"???",
	"rl8"
};

/* Source operand for X- and Y-bus MOV */
const char *xy_args[] = {
	"M0",
	"M1",
	"M2",
	"M3",
	"MC0",
	"MC1",
	"MC2",
	"MC3"
};

/* Dest operand for D1-bus MOV */
const char *d1movdest_args[] = {
	"MC0",
	"MC1",
	"MC2",
	"MC3",
	"RX",
	"PL",
	"RA0",
	"WA0",
	"???",
	"???",
	"LOP",
	"TOP",
	"CT0",
	"CT1",
	"CT2",
	"CT3"
};

/* Source operand for D1-bus MOV */
const char *d1movsrc_args[] = {
	"M0",
	"M1",
	"M2",
	"M3",
	"MC0",
	"MC1",
	"MC2",
	"MC3",
	"???",
	"ALL",
	"ALH",
	"???",
	"???",
	"???",
	"???",
	"???"
};

/* Dest operand for MVI */
const char *mvi_args[] = {
	"MC0",
	"MC1",
	"MC2",
	"MC3",
	"RX",
	"PL",
	"RA0",
	"WA0",
	"???",
	"???",
	"LOP",
	"???",
	"PC",
	"???",
	"???",
	"???"
};

/* Address add value for DMA */
const char *dma_addr_add[] = {
	"0",
	"1",
	"2",
	"4",
	"8",
	"16",
	"32",
	"64"
};

/* Dest operand for first form of DMA */
const char *dma1_args[] = {
	"MC0",
	"MC1",
	"MC2",
	"MC3",
	"PRG",
	"???",
	"???",
	"???"
};

const char *dma2_args[] = {
	"M0",
	"M1",
	"M2",
	"M3",
	"MC0",
	"MC1",
	"MC2",
	"MC3"
};

#endif /* OPS_H_ */
